Bug 112846 - RTL: Color widget control overlaps the button, and drop down list and group buttons dont open (gtk2)
Summary: RTL: Color widget control overlaps the button, and drop down list and group b...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL Color-Picker-Widget Split-Group-Buttons GTK2
  Show dependency treegraph
 
Reported: 2017-10-02 19:21 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-11-20 23:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
various popups that didnt work (80.92 KB, image/png)
2017-10-02 19:21 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-10-02 19:21:03 UTC
Created attachment 136710 [details]
various popups that didnt work

steps:
1. open writer in Arabic UI
2. click on down arrow button portion of the font or highlight color toolbar control to see the color palette and the popup overlaps the button
3. click on line spacing or special character group button and nothing happens
4. click on down arrow button portion of the basic shapes button, or any of the spit buttons in the drawing toolbar and the popup will open up overlapping the button or far away from the button

This only happens in gtk2. Gtk3 has its own set of issues in bug 112845

Version: 6.0.0.0.alpha0+
Build ID: a2a3e06a29077d4274dc15eea28a01afe22e3658
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-10-02 22:49:08 UTC
Locally applied https://gerrit.libreoffice.org/#/c/43057/ and it's resolved.
Closing as duplicate of bug 112827

*** This bug has been marked as a duplicate of bug 112827 ***
Comment 2 Maxim Monastirsky 2017-10-03 21:39:31 UTC
(In reply to Xisco Faulí from comment #1)
> Locally applied https://gerrit.libreoffice.org/#/c/43057/ and it's resolved.
I tested with my own build of master which contains this fix (Build ID: 13a27860ae79ee8ac9c96b8beb6d3d7aa56a9d94), and unfortunately the bug is still there. I didn't test with an Arabic UI, just with exporting SAL_RTL_ENABLED=1 (no idea if that makes any difference).
Comment 3 Yousuf Philips (jay) (retired) 2017-10-04 19:35:52 UTC
Still happens.

build id: 6e3e4cd38b56d432c48cd7217885974e3f0519fd
Comment 4 Yousuf Philips (jay) (retired) 2017-10-08 10:22:37 UTC
Another problem is that clicking the the up/down arrow part of a drop down list (e.g. page deck of the sidebar, font effects tab of character dialog)
Comment 5 Caolán McNamara 2017-10-17 16:09:43 UTC
the gtk2 overlap would probably go away with matching the gtk2 code to this gtk3 change https://cgit.freedesktop.org/libreoffice/core/commit/?id=19a7c81d3ce2a8a7b9a6ed305e474a80fd286ddf

dunno what other side effects that might have in gtk2 world though
Comment 6 Yousuf Philips (jay) (retired) 2017-10-19 20:56:05 UTC
Yes steps 2 and 3 are fixed. step 4 and the step in comment 4 are still remaining.

إصدارة: 6.0.0.0.alpha0+
معرّف البناء: cfbb8b5090537e79ba70e250ddee86d53facbe15
خيوط المعالج: 2; نظام التَّشغيل: Linux 4.4; مصيّر الواجهة: المبدئيّ; VCL: gtk2; 
المحليّة: en-US (en_US.UTF-8); Calc: group
Comment 7 Omer Zak 2017-11-20 23:30:45 UTC
Step 4 bug (popup overlaps Insert Basic Shapes button) is still seen in:

גרסה: 6.0.0.0.alpha1+
מזהה הבנייה: 637d96a25926e299fff5b4cf5a0055b1d171b23b
CPU threads: 8; OS: Linux 4.9; UI render: בררת מחדל; VCL: gtk2; 
מיקום: en-US (en_US.utf8); Calc: group

i.e. when it was activated in GTK2 mode,
        using 'SAL_USE_VCLPLUGIN="gtk" ./soffice'

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)

I used Hebrew UI in my tests.